EXIT_GROUP(2)

NAME
exit_group - exit all threads in a process

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <sys/syscall.h>       /* Definition of SYS_* constants */
#include <unistd.h>

noreturn void syscall(SYS_exit_group, int status);

Note: glibc provides no wrapper for exit_group(), necessitating the use of syscall(2).

DESCRIPTION
This system call terminates all threads in the calling process's thread group.

RETURN VALUE
This system call does not return.

VERSIONS
This call is present since Linux 2.5.35.

STANDARDS
This call is Linux-specific.

NOTES
Since glibc 2.3, this is the system call invoked when the _exit(2) wrapper function is called.

SEE ALSO
_exit(2)